Call Handling
All operations require authentication.
List speed dial numbersProduction
List speed dial numbers. Returns the speed dial numbers shared by all the lines of the billing account. A speed dial number is a short code for a number.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a speed dial numberProduction
Get a speed dial number. Returns the speed dial number of the billing account: short code, destination number, name and surname. The short code starts with 7.
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Create a speed dial numberProduction
Create a speed dial number. Creates a speed dial number shared by all the lines of the billing account. The short code starts with 7 and has 3 or 4 digits.
Path parameters
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Delete a speed dial numberProduction
Delete a speed dial number. Deletes the speed dial number of the billing account. Its short code no longer calls the destination number from the lines.
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"Update a speed dial numberProduction
Update a speed dial number. Updates the speed dial number of the billing account: destination number, name and surname. The short code starts with 7 and has 3 or 4 digits.
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"List speed dial numbersProduction
List speed dial numbers. Returns the speed dial numbers of the line. A speed dial number is a short code of 3 or 4 digits, starting with 2, that calls a destination.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a speed dial numberProduction
Get a speed dial number. Returns the speed dial number of the line: short code, destination number, name and surname. The short code starts with 2 and has 3 or 4 digits.
Path parameters
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Create a speed dial numberProduction
Create a speed dial number. Creates a speed dial number: a short code that calls a full number from the line.
Path parameters
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Delete a speed dial numberProduction
Delete a speed dial number. Deletes the speed dial number of the line. Its short code no longer calls the destination number.
Path parameters
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"Update a speed dial numberProduction
Update a speed dial number. Updates the speed dial number of the line: destination number, name and surname. The short code starts with 2 and has 3 or 4 digits.
Path parameters
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"List automatic callsProduction
List automatic calls. Returns the identifiers of the automatic calls made from the line by the call generator. Get an automatic call for its dates, duration and result.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ automaticCall \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an automatic callProduction
Get an automatic call. Returns the automatic call: caller, callee, creation, answer and hangup dates, duration, hangup cause, DTMF received and application result.
Path parameters
The name of your billingAccount
Generated call identifier
Response
answer date
Application and dialplan running for call
end status of application
billingNumber (service used)
creation date of the call
call duration on seconds
number called
number where the call come from
DTMF received during the call separate by commas
hangup cause
AccessInformationDiscardedAllottedTimeoutAttendedTransferBlindTransferCallAwardedbeingChannelTypeNotImplementedChannelUnacceptableCodeSip403BearerCapabilityNotAuthorizedCodeSip403IncomingCallsBarredCodeSip403OutgoingCallsBarredCodeSip404NoRouteToDestinationCodeSip404NoRouteToSpecifiedTransitNetworkCodeSip404UnallocatedNumberCodeSip408NoUserRespondingCodeSip410NumberChangedCodeSip410RedirectionToNewDestinationCodeSip480NoAnswerFromUserCodeSip480NormalUnspecifiedCodeSip480SubscriberAbsentCodeSip483ExchangeRoutingErrorCodeSip484InvalidNumberFormatAddressIncompleteCodeSip486UserBusyCodeSip487OriginatorCancelCodeSip488IncompatibleDestinationCodeSip488bearerCapabilityNotImplementedCodeSip501FacilitiesRejectedCodeSip501RequestedFacilityNotImplementedCodeSip501ServiceOrOptionNotImplementedUnspecifiedCodeSip502DestinationOutOfOrderCodeSip503BearerCapabilityNotPresentlyAvailableCodeSip503NetworkOutOfOrderCodeSip503NoCircuitChannelAvailableCodeSip503RequestedCircuitOrChannelNotAvailableCodeSip503SwitchingEquipmentCongestionCodeSip503TemporaryFailureCodeSip504RecoveryOnTimerExpiryCodeSip603CallRejectedCrashGatewayDownInformationElementOrParameterNonExistentOrNotImplementedInterworkingUnspecifiedInvalidCallReferenceValueInvalidInformationElementContentsInvalidMessageUnspecifiedLoseRaceManagerRequestMandatoryInformationElementIsMissingMediaTimeoutMessageNotCompatibleWithCallStateMessageNotCompatibleWithCallStateOrMessageTypeNonExistentOrNotImplementedMessageTypeNonExistentOrNotImplementedNormalCallClearingParameterNonExistentOrNotImplementedPassedOnNationalUsePickedOffPreEmptedProgressTimeoutProtocolErrorUnspecifiedRequestedFacilityNotSubscribedResponseToStatusInquiryServiceOrOptionNotAvailableUnspecifiedSystemShutdownUnknownOrCallUnfinishedUnspecifiedNoOtherCauseCodesApplicableUserChallengeUserNotRegisteredhangup date
Generated call identifier
original call uuid if it's a transfer
unique call id
Example uses billingAccount = string, identifier = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ automaticCall/ {identifier} \
-H "authorization: Bearer $OVH_TOKEN"{ "answerDatetime": "2024-01-01T12:00:00Z", "application": "string", "applicationResult": "string", "billingNumber": "string", "callCreatedDatetime": "2024-01-01T12:00:00Z", "callDuration": 0, "callee": "string", "caller": "string", "dtmf": "string", "hangupCause": "AccessInformationDiscarded", "hangupDatetime": "2024-01-01T12:00:00Z", "identifier": "string", "transferFrom": "string", "uuid": "string"}
Make an automatic callProduction
Make an automatic call. Calls a number from the line with a dialplan, such as a text read by TTS, an audio file or a transfer. Returns the call identifier.
Path parameters
The name of your billingAccount
Request body (required)
Number to call if transfer in dialplan selected
Number to call
Optional, number where the call come from
Dialplan used for the call
ReadTextRequestAppointmentConfirmationRequestAppointmentConfirmationWithTransferFor anonymous call
Name of the audioFile (if needed) with extention. This audio file must have been upload previously
Timeout (in seconds). Default is 20 seconds
Text to read if TTS on dialplan selected
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ automaticCall \
-H "authorization: Bearer $OVH_TOKEN""string"
List live callsDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
List live calls. Returns the identifiers of the live calls of the line, when it is a call center agent. Get a live call for its state, numbers and dates.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ calls \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a live callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Get a live call. Returns the live call: caller number and name, destination number, agent, queue, state (waiting or answered), hold status and begin, answer and end dates.
Path parameters
The name of your billingAccount
Id of the object
Response
Name or number of the agent who answered the call
Answer date of the call
Begin date of the call
Name of the caller (or anonymous if unknown)
Phone number of the caller (or anonymous if unknown)
Phone number called (in case of an outgoing call)
End date of the call
Whether or not the call is on hold
Name of the queue of the call
Current state of the call
AnsweredWaitingExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}
Eavesdrop on a callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Eavesdrop on a call. Listens to the live call without being heard. The given phone number is called and bridged in the communication. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ eavesdrop \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Hang up a callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Hang up a call. Ends the live call for all participants, the caller and the agent. Returns the task that performs the hang up.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ hangup \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Toggle hold on a callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Toggle hold on a call. Puts the live call on hold, or resumes it if it is already on hold. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ hold \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Intercept an unanswered callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Intercept an unanswered call. Answers a call that is ringing on another line. The given phone number is called and takes the communication. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and that will intercept the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ intercept \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Transfer an answered callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Transfer an answered call. Transfers the answered call to another phone number, given as a parameter. Returns the task that performs the transfer.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number to whom the communication will be transfered
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ transfer \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Whisper on a callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Whisper on a call. Speaks during the live call from the given phone number, heard by the agent only or by all participants, depending on the whispering mode.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Whispering mode
Whisper to agent onlyWhisper to all participantsResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ whisper \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Start a call from the lineProduction
Start a call from the line. Calls a number from the line: the line rings first, then the call is placed. Intercom mode can pick up and enable the speaker automatically.
Path parameters
The name of your billingAccount
Request body (required)
Activate the calling number in intercom mode automatically (pick up and speaker automatic activation).
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ click2Call \
-H "authorization: Bearer $OVH_TOKEN"List click2call usersProduction
List click2call users. Returns the identifiers of the click2call users of the line. A click2call user starts calls from the line with its own login.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a click2call userProduction
Get a click2call user. Returns the click2call user: identifier, login and creation date. The user starts calls from the line with its login and password.
Path parameters
The name of your billingAccount
Id of the object
Response
Date when user was created
Contact identifier
login of the click 2 call user
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDateTime": "2024-01-01T12:00:00Z", "id": 0, "login": "string"}
Create a click2call userProduction
Create a click2call user. Creates a user that can make click2call calls from the line. Returns its identifier.
Path parameters
The name of your billingAccount
Request body (required)
Name of the contact
The user password
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a click2call userProduction
Delete a click2call user. Deletes the click2call user. Its login can no longer start calls from the line.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Change the user passwordProduction
Change the user password. Changes the password of the click2call user, used with its login to start calls from the line.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
The password
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser/ {id}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"Start a call from the lineProduction
Start a call from the line. Calls a number from the line, as the click2call user: the line rings first, then the call is placed.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser/ {id}/ click2Call \
-H "authorization: Bearer $OVH_TOKEN"List call recordingsProduction
List call recordings. Returns the identifiers of the call recordings of the line. Get a recording for its numbers, dates, duration and download URL.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ records \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a call recordingProduction
Get a call recording. Returns the call recording and the URL to download it, with the caller and destination numbers, agent, start and end dates and duration.
Path parameters
The name of your billingAccount
Id of the object
Response
The agent number of the recorded call
The end date of the recorded call
The begin date of the recorded call
The caller name of the recorded call
The caller number of the recorded call
The destination number of the recorded call
The duration in seconds of the recorded call
The record sound url
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ records/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "callEnd": "2024-01-01T12:00:00Z", "callStart": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "duration": 0, "fileUrl": "string", "id": 0}
Delete a call recordingProduction
Delete a call recording. Deletes the call recording of the service. Its sound file can no longer be downloaded from its URL.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ records/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get line statisticsDeprecated
Deprecated since Mar 17, 2022, will be removed on Jun 17, 2022.
Get line statistics. Returns quality statistics of the line over an hourly to yearly timeframe: maximum jitter, maximum delay, lost RTP packets or MOS score.
Path parameters
The name of your billingAccount
Query parameters
Available timeframes for statistics
dailyhourlymonthlyweeklyyearlyTypes of statistics available for a line.
maxDelaymaxJitterrtpMossumRtpLostResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}
List traffic extractsProduction
List traffic extracts. Returns the identifiers of the SIP traffic extracts of the line. A traffic extract is a PCAP capture of the SIP traffic over a time range.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ trafficExtracts \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a traffic extractProduction
Get a traffic extract. Returns the traffic extract: start and end dates, status, and the URL and size of the PCAP file.
Path parameters
The name of your billingAccount
Id of the object
Response
The start date of the traffic extract
The start date of the traffic extract
The PCAP file size of the traffic extract
The PCAP URL of the traffic extract
The id of the traffic extract
The status of the extract
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ trafficExtracts/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "fileSize": 0, "fileUrl": "string", "id": 0, "status": "doing"}
Start a traffic extractProduction
Start a traffic extract. Starts capturing the SIP traffic of the line between a start date and an end date. The result is a PCAP file.
Path parameters
The name of your billingAccount
Request body (required)
The end date of the traffic extract
The start date of the traffic extract
Response
The start date of the traffic extract
The start date of the traffic extract
The PCAP file size of the traffic extract
The PCAP URL of the traffic extract
The id of the traffic extract
The status of the extract
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ trafficExtracts \
-H "authorization: Bearer $OVH_TOKEN"{ "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "fileSize": 0, "fileUrl": "string", "id": 0, "status": "doing"}
Delete a traffic extractProduction
Delete a traffic extract. Deletes the traffic extract and its PCAP file of the SIP traffic of the line.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ trafficExtracts/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List schedulersProduction
List schedulers. Returns the services of the billing account that have a scheduler. A scheduler holds calendar events, such as closing days.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a schedulerProduction
Get a scheduler. Returns the scheduler of the service and its timezone. The scheduler holds calendar events, such as closing days.
Path parameters
The name of your billingAccount
Response
Time zones available for scheduled events time definitions
Europe/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/ZurichExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string", "timeZone": "Europe/Berlin"}
Update a schedulerProduction
Update a scheduler. Updates the scheduler of the service. Only its timezone can be changed, the events are managed separately.
Path parameters
The name of your billingAccount
Request body (required)
Time zones available for scheduled events time definitions
Europe/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/ZurichResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List scheduler eventsProduction
List scheduler events. Returns the identifiers of the events of the scheduler. Get an event for its dates, category and description.
Path parameters
The name of your billingAccount
Query parameters
Filter the value of categories property (=)
holidaysscheduler1scheduler2scheduler3Filter the value of dateEnd property (>=)
Filter the value of dateEnd property (<=)
Filter the value of dateStart property (>=)
Filter the value of dateStart property (<=)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a scheduler eventProduction
Get a scheduler event. Returns the scheduler event: title, description, start and end dates, and category.
Path parameters
The name of your billingAccount
The unique ICS event identifier
Response
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The unique ICS event identifier
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"{ "categories": "holidays", "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "description": "string", "title": "string", "uid": "string"}
Create a scheduler eventProduction
Create a scheduler event. Creates an event in the scheduler, such as a closing day, with a title, start and end dates and a category (holidays or scheduler1 to scheduler3).
Path parameters
The name of your billingAccount
Request body (required)
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The descritpion of the event
The title of the event
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events \
-H "authorization: Bearer $OVH_TOKEN"Delete a scheduler eventProduction
Delete a scheduler event. Deletes the scheduler event. It no longer applies to the calls of the service.
Path parameters
The name of your billingAccount
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"Update a scheduler eventProduction
Update a scheduler event. Updates the scheduler event: title, description, start and end dates, and category.
Path parameters
The name of your billingAccount
The unique ICS event identifier
Request body (required)
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"Import an ICS calendarProduction
Import an ICS calendar. Imports scheduler events from a calendar file in ICS format, given by its URL. Returns the task that performs the import.
Path parameters
The name of your billingAccount
Request body (required)
The URL of your ICS formated calendar
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ importIcsCalendar \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List call filtering servicesProduction
List call filtering services. Returns the services of the billing account that support call filtering with allowed or blocked numbers.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get call filtering settingsProduction
Get call filtering settings. Returns the call filtering settings of the service: incoming and outgoing filtering mode.
Path parameters
The name of your billingAccount
Response
Type of screen list
blacklistdisabledwhitelistType of screen list
blacklistdisabledwhitelistExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "incomingScreenList": "blacklist", "outgoingScreenList": "blacklist", "serviceName": "string"}
Update call filtering settingsProduction
Update call filtering settings. Updates the incoming and outgoing filtering mode of the service: whitelist, blacklist or disabled.
Path parameters
The name of your billingAccount
Request body (required)
Type of screen list
blacklistdisabledwhitelistType of screen list
blacklistdisabledwhitelistResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List filtering rulesProduction
List filtering rules. Returns the identifiers of the call filtering rules of the service. Each rule allows or blocks a number.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a filtering ruleProduction
Get a filtering rule. Returns the call filtering rule: number, nature, list type (incoming or outgoing, whitelist or blacklist) and status.
Path parameters
The name of your billingAccount
Id of the object
Response
Nature of screen list
faxinternationalservicesspecialvoicemailType of screen list
incomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteListExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "callNumber": "string", "id": 0, "nature": "fax", "status": "string", "type": "incomingBlackList"}
Create a filtering ruleProduction
Create a filtering rule. Creates a call filtering rule that allows or blocks a number or a nature of numbers (special, international, voicemail, services or fax), for incoming or outgoing calls.
Path parameters
The name of your billingAccount
Request body (required)
The callNumber of the generic screen list
The nature of the generic screen list
faxinternationalservicesspecialvoicemailThe type of the generic screen list
incomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteListResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"Delete a filtering ruleProduction
Delete a filtering rule. Deletes the call filtering rule. The number or nature of numbers it covered is no longer allowed or blocked by it.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List time condition servicesProduction
List time condition services. Returns the services of the billing account that support time conditions. A time condition routes calls by time slot.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a time condition serviceProduction
Get a time condition service. Returns the time condition service. Its time conditions route calls by time slot.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string"}
List time conditionsProduction
List time conditions. Returns the identifiers of the time conditions of the service. A time condition routes calls by time slot.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a time conditionProduction
Get a time condition. Returns the time condition: day, start and end hours (hhmm), status, and the routing policy applied during the time slot.
Path parameters
The name of your billingAccount
Id of the object
Response
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}
Create a time conditionProduction
Create a time condition. Creates a time condition: a day (or holiday), start and end hours in hhmm format, and the routing policy to apply during that time slot.
Path parameters
The name of your billingAccount
Request body (required)
The day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayThe hour where the time condition begins (format : hhmm)
The hour where the time condition ends (format : hhmm)
The policy
availableslot1slot2slot3Response
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition \
-H "authorization: Bearer $OVH_TOKEN"{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}
Delete a time conditionProduction
Delete a time condition. Deletes the time condition. Calls received during its time slot are no longer routed by its policy.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a time conditionProduction
Update a time condition. Updates the day, the start and end hours (hhmm), the status and the routing policy (slot1, slot2, slot3 or available) of the time condition.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get time condition optionsProduction
Get time condition options. Returns the time condition options of the service: status and routing outside time slots.
Path parameters
The name of your billingAccount
Response
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailStatus of time conditions
deleteddisabledenabledTimeout value of the time condition
51015202530354045505560657075808590Number associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"{ "slot1Number": "string", "slot1Type": "number", "slot2Number": "string", "slot2Type": "number", "slot3Number": "string", "slot3Type": "number", "status": "deleted", "timeout": 5, "unavailableNumber": "string", "unavailableType": "number"}
Update time condition optionsProduction
Update time condition options. Updates the time condition options: global status, the action (voicemail or number) of each slot and when unavailable, and the timeout.
Path parameters
The name of your billingAccount
Request body (required)
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailStatus of time conditions
deleteddisabledenabledTimeout value of the time condition
51015202530354045505560657075808590Number associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"